    package com.javaseleniumtemplate.flows;

    import com.javaseleniumtemplate.pages.CadastroPratoPage;

    public class CadastroPratoFlows {
        CadastroPratoPage cadastroPratoPage = new CadastroPratoPage();

        public void acessaTelaPrato(){
           cadastroPratoPage.clicarMenuPrincipal();
           cadastroPratoPage.telaPrato();
        }

        public void filtraUnidade(String unidade){
            cadastroPratoPage.filtraFilial(unidade);
        }

        public void arvorePrato(String nomePrato){
            cadastroPratoPage.arvoreDePrato(nomePrato);
        }

        public void dadosDoPrato(String nmPrato, String unidadeDeMedida){
            cadastroPratoPage.dadosPrato(nmPrato, unidadeDeMedida);
        }

        public void addReceitaPadrao(String nmProduto, String qtdBruta, String qtdCoccao, String qtdApCoccao, String qtdPerdaLimpesa
                , String qtdApLimpeza, String vlrDegelo, String qtdComplemento, String vlrTempo, String diasSeguranca){
            cadastroPratoPage.receitaPadrao(nmProduto, qtdBruta,qtdCoccao,qtdApCoccao,qtdPerdaLimpesa,qtdApLimpeza,
                    vlrDegelo,qtdComplemento,vlrTempo,diasSeguranca);

        }

        public void receitaPadraoProdutos(String nmProduto, String qtdBruta) {
            cadastroPratoPage.receitaPadraoProdutos(nmProduto,qtdBruta);

        }

        public void dadosReceita(String prodProducao, String nomeFantasia, String validadeConsumo ){
            cadastroPratoPage.dadosDaReceita(prodProducao,nomeFantasia, validadeConsumo);
        }

        //Filtrando prato já cadastrado

        public void filtroPrato(){
            cadastroPratoPage.filtroPrato();
        }

        public void receitaLocal(){
            cadastroPratoPage.receitaLocal();
        }

        public void insereProduto(String nmproduto, String qtdBruta,String idGanhoCoccao,
                                  String idApCoccao, String idPerdaLimpLocal, String idDegeloLocal, String idTempoPreparo){
            cadastroPratoPage.produtoReceitaLocal(nmproduto, qtdBruta, idGanhoCoccao, idApCoccao, idPerdaLimpLocal, idDegeloLocal,idTempoPreparo);
        }


        public void apagaProdutoReceitaLocal(){
            cadastroPratoPage.excluirProduto();
        }

        public void dadosDaReceitaLocal(String CDPRODPRODUCAO, String QTDDIASANTECIPACAO, String NMFANTASIAL,
                                        String DTVALCONSUMO,String DSPRATO, String QTDPESSOA){
            cadastroPratoPage.dadosDaReceitaLocal(CDPRODPRODUCAO, QTDDIASANTECIPACAO, NMFANTASIAL,DTVALCONSUMO, DSPRATO, QTDPESSOA);
        }


    }
